﻿using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;
using CoreGraphics;
using UIKit;
using SpatialWorx.CustomRenderer;
using ThinkgeoTestCase.CustomRenderer;
using ThinkGeo.MapSuite.iOS;

[assembly: ExportRenderer(typeof(BOVMapView), typeof(BOVMapViewRenderer))]
namespace SpatialWorx.CustomRenderer
{
    public class BOVMapViewRenderer : ViewRenderer
    {
        public BOVMapViewRenderer()
        {
            GlobalPropertiesUI.BOVMapViewControl = new MapView(UIScreen.MainScreen.Bounds);
        }
        public override CGSize SystemLayoutSizeFittingSize(CGSize size)
        {
            return base.SystemLayoutSizeFittingSize(size);
        }
        protected override void OnElementChanged(ElementChangedEventArgs<View> e)
        {
            base.OnElementChanged(e);

            if (Control == null)
            {
                //double heightreq = e.NewElement.HeightRequest;
                GlobalPropertiesUI.BOVMapViewControl.MapTools[0].Hidden = false;
                SetNativeControl(GlobalPropertiesUI.BOVMapViewControl);
            }
            if (e.OldElement != null)
            {
                // Unsubscribe
                //           cameraPreview.Click -= OnCameraPreviewClicked;
            }
            if (e.NewElement != null)
            {
                //         Control.Preview = Camera.Open((int)e.NewElement.Camera);

                // Subscribe
                //       cameraPreview.Click += OnCameraPreviewClicked;
            }
        }
    }
}