﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Foundation;
using SpatialWorx.CustomRenderer;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.iOS;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using UIKit;

namespace ThinkgeoTestCase.iOS
{
    class MapControlImpl : IMapControlInterface
    {
        LayerOverlay feaOverlay = null;
        public void AddOvelay(FeatureLayer feaLayer)
        {
            if (feaOverlay == null)
            {
                feaOverlay = new LayerOverlay();
                GlobalPropertiesUI.BOVMapViewControl.Overlays.Add(feaOverlay);
            }
            feaLayer.Open();
            feaOverlay.Layers.Add(feaLayer);
        }

        public void CenterAt(PointShape pointShape)
        {
            GlobalPropertiesUI.BOVMapViewControl.CenterAt(pointShape);
        }

        public void CloseOverlays()
        {
            GlobalPropertiesUI.BOVMapViewControl.Overlays.Clear();
        }

        public PointShape GetMapCenterPoint()
        {
            return GlobalPropertiesUI.BOVMapViewControl.CurrentExtent.GetCenterPoint();
        }

        public void InitBaseMap()
        {

            BingMapsOverlay bingOverlay = null;
            bingOverlay = new BingMapsOverlay("appid");
            bingOverlay.MapStyle = ThinkGeo.MapSuite.iOS.BingMapsMapType.AerialWithLabels;
            GlobalPropertiesUI.BOVMapViewControl.Overlays.Add(bingOverlay);

            GlobalPropertiesUI.BOVMapViewControl.MapUnit = GeographyUnit.Meter;
            GlobalPropertiesUI.BOVMapViewControl.ZoomLevelSet = new BingMapsZoomLevelSet();
            GlobalPropertiesUI.BOVMapViewControl.CurrentExtent = new RectangleShape(
             -9725685.8711093, 3619258.56557708, -9167900.25906343, 3420246.60064225);
            GlobalPropertiesUI.BOVMapViewControl.Refresh();

        }
    }
}